Bug 208460 - yum - update to 2.9.7 is messing up local file and makes further operations impossible
yum - update to 2.9.7 is messing up local file and makes further operations i...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-28 14:39 EDT by Michal Jaegermann
Modified: 2014-01-21 17:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-29 16:39:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2006-09-28 14:39:19 EDT
Description of problem:

After 'yum upgrade "yum*"' with the current rawhide for every package
already in local cache errors of that sort always show up:

http://download.fedora.redhat.com/pub/fedora/linux/core/development/x86_64/os/Fedora/RPMS/nscd-2.4.90-36.x86_64.rpm:
[Errno 9] Requested Range Not Satisfiable
Trying other mirror.

Attempt to rectify that with 'yum clean metadata' does not help.
Files _not_ in cache download without any troubles.

The above would be a minor annoyance if not that detail that after
all downloads are complete one get "Error Downloading Packages:"
for all packages which were already on a local disk and yum bails
out.

OK, so lets try 'yum localupdate *.rpm' on files in a local cache.
For that yum informs "Total download size: 313 M", even if a total
size of files in that directory is something like 102M, crunches
something a bit, gets "[Errno 9] Requested Range Not Satisfiable"
attemptig to "download" again an rpm file on a local disk and 
once more terminates with "Error Downloading Packages:" despite
of 'localupdate'.

Backing off to yum-2.9.6-1 and yum-metadata-parser-1.0-7.1.fc6
allows to finish the whole update with
     yum --exclude="yum*" update
with no problems and no attempts to re-download anything.

I did not try to check what would happen if I would not have any
files cached.  With a speed of my connection and other limitations
this is a totally loosing proposition (and a default 'keepcache=0'
in /etc/yum.conf clearly unworkable).

Just in case - the above was observed on x86_64 platform.

Version-Release number of selected component (if applicable):
yum-2.9.7-3
yum-metadata-parser-1.0-8

How reproducible:
always
Comment 1 Dennis Jacobfeuerborn 2006-09-28 15:52:39 EDT
Using "yum clean packages" helps to work around the problem. You'll have to
download all packages again though obviously.
Comment 2 Michal Jaegermann 2006-09-28 16:02:49 EDT
> Using "yum clean packages" helps to work around the problem.

This is precisely what I really do NOT want to do and I thought
that I wrote that clearly enough. :-)
Comment 3 Jeremy Katz 2006-09-28 18:34:45 EDT
Fixed in yum CVS and yum-2.9.7-4 I think (I was able to reproduce the problem
and have something that fixes for me)

Can you try http://people.redhat.com/~katzj/yum-2.9.7-4.noarch.rpm (yum-updatesd
also there)?
Comment 4 Michal Jaegermann 2006-09-28 19:42:51 EDT
On a sample of one available package (yum-metadata-parser) which I still had
not updated :-) yum-2.9.7-4 fixed the problem.

I will try to recheck when the next bunch of updates will show up but
I expect that 2.9.7-4 behaves.  Thanks!
Comment 5 Jeremy Katz 2006-09-28 20:42:45 EDT
Great, thanks.
Comment 6 Michal Jaegermann 2006-09-29 16:39:01 EDT
I checked with a bigger number of packages and a mixture of files
already in a local cache and not downloaded yet.  With yum-2.9.7-4
I do not see the problem anymore.

Note You need to log in before you can comment on or make changes to this bug.